xpra icon
Bug tracker and wiki

Version 39 (modified by Antoine Martin, 4 months ago) (diff)

use https

Getting Started : Versions


Current Status

There are 2 versions currently supported and one in development:

Version Details Planned EOL Date
v1.0.x current LTS stable release 2019 (maybe later)
v2.2.x current version 2018 Q2
trunk the current development tree (will become 2.3) 2018 Q3
3.0 next LTS version 2021 (maybe later)

The bug fixes due to be backported are recorded here: pending fixes. For more information, see wiki/Versions/ReleaseProcess

Unsupported Versions

Do not use!

Version EOL Date
v0.14.x 2017-01 (was LTS)
v0.15.x 2016-02
v0.16.x 2016-03
v0.17.x 2016-10
v2.0.x 2017-07
v2.1.x 2017-12

Compatibility

Versions older than 1.0 are not supported.
Some platforms are no longer supported in version 2.0, see wiki/Platforms for details.


If your distributor ships an older version, you should complain to them for not updating a package with known bugs and serious vulnerabilities (more info here: wiki/Packaging).


You can mix versions between the clients and servers, as long as they are reasonably up to date:

  • v0.14.x was compatible with versions 0.7.8 onwards. (it may or may not have worked with earlier versions)
  • v1.0.x is compatible with versions 0.14.x onwards only
  • v2.x is designed to be compatible with version 1.0.x onwards only, it should remain compatible with version 0.14.x but this will not be guaranteed or tested

Binaries

You can find binaries for tagged versions on the supported platforms here:
https://xpra.org/dists/

You may find beta builds of any branch or trunk here:
https://xpra.org/beta/